#include <stdio.h>

int main()
{
	char c1, c2;
	int a1, a2;
	scanf("%c%c", &c1, &c2);
	scanf("%d %d", &a1, &a2);
	if (a1 >= a2 + 2 || a2 >= a1 + 2)
		printf("nemoguce");
	else
	{
		if (a1 > a2)
		{
			for (int i = 0; i < a1; i++)
			{
				printf("%c", c1);
				if (i == a1 - 1)
					break;
				for (int j = 0; j < 1; j++)
					printf("%c", c2);
			}
		}
		else if (a2 > a1)
		{
			for (int i = 0; i < a2; i++)
			{
				printf("%c", c2);
				if (i == a2 - 1)
					break;
				for (int j = 0; j < 1; j++)
					printf("%c", c1);
			}
		}
		else
		{
			for (int i = 0; i < a1; i++)
				printf("%c%c", c1, c2);
		}
	}
	return 0;
}